package swampfile

import (
	"errors"
	"time"
)

type SwampFile struct {
	UserAgentId int64
	Path        string
	Size        int64
	CreatedAt   time.Time
}

var (
	ErrDuplicate    = errors.New("record already exists")
	ErrExceedQuota  = errors.New("file too large")
	ErrQuotaInvalid = errors.New("quota invalid")
	ErrNotExists    = errors.New("row not exists")
	ErrUpdateFailed = errors.New("update failed")
	ErrDeleteFailed = errors.New("delete failed")
)
